ZenLib::Translation Class Reference

Helper for translation. More...

`#include <Translation.h>`

Inheritance diagram for ZenLib::Translation:

## Public Member Functions

| Translation ()
| Translation (const Ztring &Source)
| Translation (const Char *Source)
Ztring | Get () const
const Ztring & | Get (const Ztring &Value)
Ztring | Get (const Ztring &Count, const Ztring &Value)
void | Write (const Ztring &NewLanguage)
void | Write (const Ztring &Value, const Ztring &NewLanguage)
void | Separator_Set (size_type Level, const Ztring &NewSeparator)
| Set the Separator character.
void | Quote_Set (const Ztring &NewQuote)
| Set the Quote character During Read() or Write() method, if Separator is in the sequence, we must quote it.
void | Max_Set (size_type Level, size_type Max)
| Set the Maximum number of element to read During Read() or Write() method, if there is more elements, merge them with the last element.

## Protected Attributes

Ztring | Separator [2]
Ztring | Quote
size_type | Max [2]

## Detailed Description

Helper for translation.

## Constructor & Destructor Documentation

## Translation() [1/3]

ZenLib::Translation::Translation | ( |  | ) |

## Translation() [2/3]

ZenLib::Translation::Translation | ( | const Ztring & | Source | ) |

## Translation() [3/3]

ZenLib::Translation::Translation | ( | const Char * | Source | ) |

## Member Function Documentation

## Get() [1/3]

Ztring ZenLib::Translation::Get | ( |  | ) | const

## Get() [2/3]

Ztring ZenLib::Translation::Get | ( | const Ztring & | Count,
|  | const Ztring & | Value )

## Get() [3/3]

const Ztring & ZenLib::Translation::Get | ( | const Ztring & | Value | ) |

## Max_Set()

void ZenLib::Translation::Max_Set | ( | size_type | Level,
|  | size_type | Max )

Set the Maximum number of element to read During Read() or Write() method, if there is more elements, merge them with the last element.

References Max.

## Quote_Set()

void ZenLib::Translation::Quote_Set | ( | const Ztring & | NewQuote | ) |

Set the Quote character During Read() or Write() method, if Separator is in the sequence, we must quote it.

## Separator_Set()

void ZenLib::Translation::Separator_Set | ( | size_type | Level,
|  | const Ztring & | NewSeparator )

Set the Separator character.

## Write() [1/2]

void ZenLib::Translation::Write | ( | const Ztring & | NewLanguage | ) |

## Write() [2/2]

void ZenLib::Translation::Write | ( | const Ztring & | Value,
|  | const Ztring & | NewLanguage )

## Member Data Documentation

## Max

size_type ZenLib::Translation::Max[2]

protected

Referenced by Max_Set().

## Quote

Ztring ZenLib::Translation::Quote

protected

## Separator

Ztring ZenLib::Translation::Separator[2]

protected

The documentation for this class was generated from the following file:

- Translation.h